Name:          libwacom
Version:       1.12
Release:       1mamba
Summary:       A library to identify wacom tablets and their model-specific features
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/linuxwacom/
Source:        https://github.com/linuxwacom/libwacom.git/libwacom-%{version}/libwacom-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
#libdl.so.2()(64bit): /usr/lib64/libdl.so: file not owned by any package
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
## AUTOBUILDREQ-END
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description
libwacom is a library to identify wacom tablets and their model-specific features. It provides easy access to information such as "is this a built-in on-screen tablet", "what is the size of this model", etc.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the tools provided by %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   --with-udev-dir=%{_prefix}/lib/udev

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libwacom.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libwacom-1.0
%dir %{_includedir}/libwacom-1.0/libwacom
%{_includedir}/libwacom-1.0/libwacom/libwacom.h
%{_libdir}/libwacom.la
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc
#%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/libwacom-*
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb
%dir %{_datadir}/libwacom/
%{_datadir}/libwacom/libwacom.stylus
%{_datadir}/libwacom/*.tablet
%dir %{_datadir}/libwacom/layouts
%{_datadir}/libwacom/layouts/*.svg
%{_mandir}/man1/libwacom-list-local-devices.1*
%{_mandir}/man1/libwacom-list-devices.1*

%changelog
* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Sat Jul 17 2021 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Sat May 08 2021 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Automatic Build System <autodist@mambasoft.it> 1.9-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Wed Nov 04 2020 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Sat Sep 05 2020 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Mar 28 2020 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Tue Apr 30 2019 Automatic Build System <autodist@mambasoft.it> 0.33-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 0.32-1mamba
- automatic version update by autodist

* Fri Sep 28 2018 Automatic Build System <autodist@mambasoft.it> 0.31-1mamba
- automatic version update by autodist

* Sat Aug 04 2018 Automatic Build System <autodist@mambasoft.it> 0.30-1mamba
- automatic version update by autodist

* Mon Mar 26 2018 Automatic Build System <autodist@mambasoft.it> 0.29-1mamba
- automatic version update by autodist

* Sat Feb 24 2018 Automatic Build System <autodist@mambasoft.it> 0.28-1mamba
- automatic version update by autodist

* Tue Jan 23 2018 Automatic Build System <autodist@mambasoft.it> 0.27-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic version update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 0.22-1mamba
- automatic version update by autodist

* Fri Jul 15 2016 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic version update by autodist

* Thu Feb 04 2016 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 0.17-1mamba
- automatic version update by autodist

* Wed Sep 30 2015 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic version update by autodist

* Tue Jun 23 2015 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic version update by autodist

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Wed Aug 27 2014 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic version update by autodist

* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic version update by autodist

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 0.8-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.7-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1mamba
- package created by autospec
